Package org.apache.maven.scm.util

## Class ConsumerUtils

- java.lang.Object
- - org.apache.maven.scm.util.ConsumerUtils

    public class ConsumerUtils
    extends java.lang.Object

Author:
  Davide Angelocola

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `consumeFile​(java.io.File f, org.codehaus.plexus.util.cli.StreamConsumer consumer)` Read file f, sending each line to the consumer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### consumeFile

    public static void consumeFile​(java.io.File f,
                                   org.codehaus.plexus.util.cli.StreamConsumer consumer)
                            throws java.io.IOException

Read file f, sending each line to the consumer.

Parameters:
  `f` -
  `consumer` -
Throws:
  `java.io.IOException`